Distech Java Cryptographic Module

Certificate details

Certificate ID #3046
Status historical
Historical reason SP 800-56Arev3 transition
Validation dates 17.10.2017
Standard FIPS 140-2
Security level 1
Type Firmware
Embodiment Multi-Chip Embedded
Caveat When operated in FIPS mode
Description The Distech Java Cryptographic Module provides cryptographic functionality to Distech's series of building management appliances. The module is classified under FIPS 140-2 as a firmware based, multichip-standalone module embodiment.
Version (Firmware) 1.0
Tested configurations
  • PCB Configuration "A" with Distech OS V4.4.4 (Kernel 3.2)
Vendor Distech Controls Inc. http://www.distech-controls.com
Lab CGI Information Systems & Management Consultants Inc
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, Twofish, Serpent, CAST5, RC4, RC2, DES, Triple-DES, TDEA, IDEA, Blowfish, Camellia, SEED, HMAC, CMAC
Asymmetric Algorithms
RSA 2048, ECDSA, ECC, Diffie-Hellman, DH, DSA
Hash functions
SHA256, SHA3, SHAKE128, SHAKE256, MD5, RIPEMD128, RIPEMD160, RIPEMD256, RIPEMD320, RIPEMD, PBKDF
Schemes
MAC, KEM, Key Agreement, Key agreement
Protocols
SSH, TLS, TLS 1.2, IKEv2
Randomness
PRNG, DRBG
Libraries
OpenSSL
Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM

Security level
Level 1
Side-channel analysis
timing attacks, timing attack

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3046,
  "dgst": "3a1e774a8ea4f3f4",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "KBKDF#115",
        "KTS#2327",
        "SHA-3#12",
        "#115",
        "CVL#1021",
        "CVL#1020",
        "#3545",
        "#1367",
        "#1022",
        "#4306",
        "SHS#3545",
        "ECDSA#1014",
        "DRBG#1367",
        "AES#4306",
        "#2842",
        "#1146",
        "#1021",
        "Triple-DES#2327",
        "CVL#1022",
        "#1014",
        "RSA#2327",
        "#2327",
        "HMAC#2842",
        "#1020",
        "#103",
        "DSA#1146"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "1.0"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 45,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 2
          },
          "ECDSA": {
            "ECDSA": 10
          }
        },
        "FF": {
          "DH": {
            "DH": 6,
            "Diffie-Hellman": 2
          },
          "DSA": {
            "DSA": 13
          }
        },
        "RSA": {
          "RSA 2048": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 8
        },
        "CCM": {
          "CCM": 4
        },
        "CTR": {
          "CTR": 6
        },
        "ECB": {
          "ECB": 3
        },
        "GCM": {
          "GCM": 9
        },
        "OFB": {
          "OFB": 2
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 1
        }
      },
      "crypto_protocol": {
        "IKE": {
          "IKEv2": 5
        },
        "SSH": {
          "SSH": 5
        },
        "TLS": {
          "TLS": {
            "TLS": 12,
            "TLS 1.2": 1
          }
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 5,
          "Key agreement": 1
        },
        "KEM": {
          "KEM": 1
        },
        "MAC": {
          "MAC": 5
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 1,
          "#1014": 1,
          "#1020": 1,
          "#1021": 1,
          "#1022": 1,
          "#103": 1,
          "#1146": 1,
          "#115": 1,
          "#12": 1,
          "#1367": 1,
          "#2327": 4,
          "#2842": 1,
          "#3545": 1,
          "#4306": 5
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES, 2": 1,
          "Cert. # AES": 1,
          "Cert. #2327 RSA": 1,
          "Cert. #4306 DRBG": 1,
          "DES (192": 2,
          "DES, 3": 1,
          "DSA 3": 1,
          "HMAC - SHA256": 1,
          "PKCS #1": 2,
          "PKCS#12": 4,
          "PKCS#5": 4,
          "PKCS1": 2,
          "RSA 2048": 1,
          "SHA - 1": 8,
          "SHA - 2": 2,
          "SHA - 224": 6,
          "SHA - 256": 6,
          "SHA - 3": 2,
          "SHA - 384": 6,
          "SHA - 512": 5,
          "SHA256": 1,
          "SHA3": 1,
          "SHA3 - 224": 2,
          "SHA3 - 256": 2,
          "SHA3 - 384": 2,
          "SHA3 - 512": 2
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 5
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 5
          }
        },
        "PBKDF": {
          "PBKDF": 13
        },
        "RIPEMD": {
          "RIPEMD": 1,
          "RIPEMD128": 2,
          "RIPEMD160": 1,
          "RIPEMD256": 2,
          "RIPEMD320": 1
        },
        "SHA": {
          "SHA2": {
            "SHA256": 1
          },
          "SHA3": {
            "SHA3": 9
          }
        },
        "SHAKE": {
          "SHAKE128": 1,
          "SHAKE256": 2
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 19,
          "PRNG": 1
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "timing attack": 1,
          "timing attacks": 1
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140": 4,
          "FIPS 140-2": 11,
          "FIPS 180": 2,
          "FIPS 186": 11,
          "FIPS 197": 2,
          "FIPS 198": 3,
          "FIPS 202": 2,
          "FIPS PUB 140": 1
        },
        "NIST": {
          "NIST SP 800-90A": 1,
          "SP 800-133": 1
        },
        "PKCS": {
          "PKCS #1": 1,
          "PKCS#12": 2,
          "PKCS#5": 2,
          "PKCS1": 1
        },
        "RFC": {
          "RFC 3370": 1,
          "RFC 4880": 1,
          "RFC 5208": 1,
          "RFC 5246": 1,
          "RFC 5751": 1,
          "RFC 7292": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 25
          },
          "CAST": {
            "CAST5": 1
          },
          "RC": {
            "RC2": 1,
            "RC4": 1
          },
          "Serpent": {
            "Serpent": 1
          },
          "Twofish": {
            "Twofish": 1
          }
        },
        "DES": {
          "3DES": {
            "TDEA": 6,
            "Triple-DES": 6
          },
          "DES": {
            "DES": 25
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 8,
            "HMAC": 20
          }
        },
        "miscellaneous": {
          "Blowfish": {
            "Blowfish": 1
          },
          "Camellia": {
            "Camellia": 1
          },
          "IDEA": {
            "IDEA": 1
          },
          "SEED": {
            "SEED": 1
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "CVL#1022",
        "KBKDF#115",
        "KTS#2327",
        "CVL#1021",
        "CVL#1020",
        "ECDSA#1014",
        "DRBG#1367",
        "AES#4306",
        "RSA#2327",
        "HMAC#2842",
        "SHA-3#12",
        "Triple-DES#2327",
        "SHS#3545",
        "DSA#1146"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#115",
        "#1014",
        "#3545",
        "#2842",
        "#1367",
        "#2327",
        "#1146",
        "#103",
        "#1021",
        "#1020",
        "#1022",
        "#4306"
      ]
    },
    "policy_metadata": {
      "/Author": "Adornato, Isabella",
      "/CreationDate": "D:20170915150757-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2016",
      "/ModDate": "D:20170915150757-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2016",
      "/Title": "Distech Controls - Java Cryptographic Module",
      "pdf_file_size_bytes": 784502,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://csrc.nist.gov/groups/STM/cmvp/index.html"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 23
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "5bd009a9af72e2facc2baafce5a24da731ecfe7b60f9606b5d9a4bea1bb734a3",
      "source_hash": "8abdc6130212f29fe4b7d83fd2b98ed9ccd452a157c2adb5806c0f6a7f2eec38",
      "txt_hash": "dc5c1748b7a03ea21734f2172dd5e22c7703179b92e6d5d3d36c487842d006a4"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertOct2017.pdf",
    "date_sunset": null,
    "description": "The Distech Java Cryptographic Module provides cryptographic functionality to Distech\u0027s series of building management appliances. The module is classified under FIPS 140-2 as a firmware based, multichip-standalone module embodiment.",
    "embodiment": "Multi-Chip Embedded",
    "exceptions": null,
    "fw_versions": "1.0",
    "historical_reason": "SP 800-56Arev3 transition",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Distech Java Cryptographic Module",
    "module_type": "Firmware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": [
      "PCB Configuration \"A\" with Distech OS V4.4.4 (Kernel 3.2)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2017-10-17",
        "lab": "CGI Information Systems \u0026 Management Consultants Inc",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Distech Controls Inc.",
    "vendor_url": "http://www.distech-controls.com"
  }
}